<%@ Page CodeFileBaseClass="IlgharCMS.Lib.MemberPageBase" %>
<script language="c#" runat="server">
protected string Condition()
{
	StringBuilder condition = new StringBuilder();
	string and = String.Empty;

	#region 是否回收
	string isRecycled = Request.QueryString["IsRecycled"];
	if (isRecycled == null)
		condition.Append(Alias.Link.IsDeleted + "=false");
	else if (isRecycled != String.Empty)
		condition.Append(Alias.Link.IsDeleted + "=" + isRecycled);
	#endregion

	if (and == String.Empty && condition.Length != 0)
		and = " AND ";

	#region 是否审核
	string isChecked = Request.QueryString["IsChecked"];
	if (isChecked == null)
		condition.Append(and + Alias.Link.IsChecked + "=true");
	else if (isChecked != String.Empty)
		condition.Append(and + Alias.Link.IsChecked + "=" + isChecked);
	#endregion

	if (and == String.Empty && condition.Length != 0)
		and = " AND ";

	#region 是否推荐
	string isRecommended = Request.QueryString["IsRecommended"];
	if (!String.IsNullOrEmpty(isRecommended))
		condition.Append(and + Alias.Link.IsRecommended + "=" + isRecommended);
	#endregion

	if (and == String.Empty && condition.Length != 0)
		and = " AND ";

	#region 是否置顶
	string isHeld = Request.QueryString["IsHeld"];
	if (!String.IsNullOrEmpty(isHeld))
		condition.Append(and + Alias.Link.IsHeld + "=" + isHeld);
	#endregion

	if (and == String.Empty && condition.Length != 0)
		and = " AND ";

	#region 关键词
	string keyword = Request.QueryString["Keyword"];
	if (!String.IsNullOrEmpty(keyword))
	{
		switch (Request.QueryString["KeywordType"])
		{
			case "Name":
				condition.Append(and + Alias.Link.Name + " LIKE '%" + keyword + "%'");
				break;
			case "URL":
				condition.Append(and + Alias.Link.URL + " LIKE '%" + keyword + "%'");
				break;
			case "ID":
				condition.Append(and + Alias.Link.ID + "='" + keyword + "'");
				break;
			case "InnerID":
				condition.Append(and + Alias.Link.InnerID + "=" + keyword);
				break;
		}
	}
	#endregion
	
	return condition.ToString();
}

protected string Sort()
{
	string sort = String.Empty;
	switch (Request.QueryString["Sort"])
	{
		case "1":
			sort = Alias.Link.UpdateTime + " DESC";
			break;
		case "2":
			sort = Alias.Link.UpdateTime + " ASC";
			break;
		case "3":
			sort = Alias.Link.Recommend + " DESC";
			break;
		case "4":
			sort = Alias.Link.Recommend + " ASC";
			break;
		case "5":
			sort = Alias.Link.Hold + " DESC";
			break;
		case "6":
			sort = Alias.Link.Hold + " ASC";
			break;
		case "7":
			sort = Alias.Link.InnerID + " DESC";
			break;
		case "8":
			sort = Alias.Link.InnerID + " ASC";
			break;
		case "9":
			sort = Alias.Link.In + " DESC";
			break;
		case "10":
			sort = Alias.Link.In + " ASC";
			break;
		case "11":
			sort = Alias.Link.Out + " DESC";
			break;
		case "12":
			sort = Alias.Link.Out + " ASC";
			break;
		case "13":
			sort = Alias.Link.Up + " DESC";
			break;
		case "14":
			sort = Alias.Link.Up + " ASC";
			break;
		case "15":
			sort = Alias.Link.Down + " DESC";
			break;
		case "16":
			sort = Alias.Link.Down + " ASC";
			break;
		case "17":
			sort = Alias.Link.Error + " DESC";
			break;
		case "18":
			sort = Alias.Link.Error + " ASC";
			break;
		default:
			sort = Alias.Link.UpdateTime + " DESC";
			break;
	}
	
	return sort;
}
</script>
<table border="0" cellpadding="4" cellspacing="1">
	<thead>
		<tr>
			<th width="40">选择</th>
			<th width="90">Logo</th>
			<th>名称</th>
			<th>地址</th>
			<th width="40">入站</th>
			<th width="40">出站</th>
			<th width="40">顶</th>
			<th width="40">踩</th>
			<th width="40">错误</th>
		</tr>
	</thead>
	<tbody>
		<ilghar:List ID="List" Object="Link" Page="PageNumber" PageSize="20" Condition="Condition()" Sort="Sort()" Validate="True">
			<ilghar:Record>
				<tr id="Row<%=InnerID%>">
					<td><input type="checkbox" name="Sel" value="<%=InnerID%>" /></td>
					<td>
						<%If Convert.ToString(Logo) != "" %>
							<a href="<%=Logo%>" target="_blank"><img src="<%=Logo%>" width="88" height="31" /></a>
						<%EndIf%>
					</td>
					<td><a href="edit.aspx?ID=<%=InnerID%>"><%=Name%></a></td>
					<td><a href="<%=URL%>" target="_blank"><%=URL%></a></td>
					<td><%=In%></td>
					<td><%=Out%></td>
					<td><%=Up%></td>
					<td><%=Down%></td>
					<td><%=Error%></td>
				</tr>
			</ilghar:Record>
		</ilghar:List>
	</tbody>
</table>
<ilghar:Pagination Page="PageNumber" PageSize="20" RecordCount="List[RecordCount]">
	<div class="Pagination">
		<div class="Left">共 <%=RecordCount%> 条 当前显示第 <%=PageNumber%> 页 第 <%=RangeLower%>-<%=RangeUpper%> 条 </div>
		<div class="Right">
			<ilghar:FirstPage>
				<ilghar:Yes>
					<img src="<%=ImagePath%>pagination/first_page_off.gif" alt="首页" />
					<img src="<%=ImagePath%>pagination/previous_page_off.gif" alt="上一页" />
				</ilghar:Yes>
				<ilghar:No>
					<a href="javascript:Go(1)"><img src="<%=ImagePath%>pagination/first_page_on.gif" alt="首页" /></a>
					<a href="javascript:Go(<%=PageNumber%> - 1)" id="PrevPage"><img src="<%=ImagePath%>pagination/previous_page_on.gif" alt="上一页" /></a>
				</ilghar:No>
			</ilghar:FirstPage>
			<ilghar:CurrentPage Range="5">
				<ilghar:Yes>
					<span class="Current"><%=Index%></span>						
				</ilghar:Yes>
				<ilghar:No>
					<a href="javascript:Go(<%=Index%>)">[<%=Index%>]</a>
				</ilghar:No>
			</ilghar:CurrentPage>
			<ilghar:LastPage>
				<ilghar:Yes>
					<img src="<%=ImagePath%>pagination/next_page_off.gif" alt="下一页" />
					<img src="<%=ImagePath%>pagination/last_page_off.gif" alt="尾页" />
				</ilghar:Yes>
				<ilghar:No>
					<a href="javascript:Go(<%=PageNumber%> + 1)" id="NextPage"><img src="<%=ImagePath%>pagination/next_page_on.gif" alt="下一页" /></a>
					<a href="javascript:Go(<%=PageCount%>)"><img src="<%=ImagePath%>pagination/last_page_on.gif" alt="尾页" /></a>
				</ilghar:No>
			</ilghar:LastPage>
		</div>
	</div>
</ilghar:Pagination>
